package tourplaner.data;

import tourplaner.business.PostgresHelper;

import java.sql.Connection;
import java.sql.Statement;
import java.util.ArrayList;

/**
 * Verwaltet die Datenbankverbindung zu dem Postgres Server
 */
public class DbConnect {
    private Connection c;
    private Statement stmt;


    /**
     * Erstellt alle Beispieldaten und simuliert somit den
     * Verbindungsaufbau zu einer DB
     */
    public DbConnect() {
        this.c = null;
    }


    /**
     * Erstellt alle Tabellen die für den Betrieb der Software bennötigt werden
     * @return True bei erfolg, sonst error
     */
    public boolean init() {
        // TODO: 26.02.2021 Alle sql im init sind noch falsch
        ArrayList<Boolean> errors = new ArrayList<>();
        errors.add(PostgresHelper.executeUpdateMessage("CREATE TABLE IF NOT EXISTS USERS (username TEXT PRIMARY KEY NOT NULL, nachname TEXT NOT NULL, email TEXT NOT NULL, password TEXT NOT NULL, bio TEXT, image TEXT, coins integer default 20 not null)", "User Table created"));
        return !errors.contains(false);
    }

}
