package tourplaner.ui;

import javafx.event.EventHandler;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.geometry.Orientation;
import javafx.scene.control.ListView;
import javafx.scene.control.SelectionMode;
import javafx.scene.control.TabPane;
import javafx.scene.input.MouseEvent;
import javafx.scene.web.WebView;
import tourplaner.viewmodels.ViewModel;

import java.net.URL;
import java.util.ResourceBundle;

public class TourplanerController implements Initializable {

    public ViewModel viewModel = new ViewModel();
    public ListView<String> TourListView = new ListView<>();
    public TabPane viewTabPane;
    public Tab kartenTab, beschreibungTab;

    @FXML
    private void tourListSelectedItem(MouseEvent mouseEvent){
        System.out.println(TourListView.getSelectionModel().getSelectedItem());
    }

    @FXML
    private void addTour(){
        this.viewModel.addTour();
    }

    @FXML
    private void delTour(){
        this.viewModel.delTour();
    }

    @FXML
    private void suche(){
        this.viewModel.suche();
    }

    @FXML
    private WebView mapView;

    @Override
    public void initialize(URL url, ResourceBundle resourceBundle) {
        TourListView.getSelectionModel().setSelectionMode(SelectionMode.SINGLE);
        TourListView.setOrientation(Orientation.VERTICAL);
        TourListView.setItems(this.viewModel.getTourNamen());
        TourListView.setOnMouseClicked(new EventHandler<MouseEvent>() {
            @Override
            public void handle(MouseEvent mouseEvent) {
                System.out.println(TourListView.getSelectionModel().getSelectedItem());
            }
        });
    }
}
